Debian Debian-France Debian-Facile Debian-fr.org Forum-Debian.fr Debian ? Communautés

Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 16-10-2022 17:51:02

solar66
Membre
Distrib. : debian stable
Noyau : Linux 5.10.0-9-amd64
(G)UI : cinnamon
Inscription : 23-08-2016

[Abandonné] apt ne veux pas installer virtualbox-7.0

Bonjour,
ayant recemment des problèmes avec virtualbox-6.1; je ne peux plus accéder à mes disques durs externes en usb.
comme la version 7 est sortie, j'ai voulu l'installer, et donc

sudo apt install virtualbox-7.0


Old installation found                                                    │
│                                                                           │
│ An old installation of VirtualBox was found. To install this package the  │
│ old package has to be removed first. Have a look at /etc/vbox/vbox.cfg    │
│ to determine the installation directory of the previous installation.     │
│ After uninstalling the old package remove the file /etc/vbox/vbox.cfg.



normal, et c'est là que ça se corse,

sudo apt remove virtualbox-6.1


Le paquet « virtualbox-6.1 » n'est pas installé, et ne peut donc être supprimé


sudo apt-cache policy virtualbox-6.1


virtualbox-6.1:
  Installé : (aucun)
  Candidat : 6.1.40-154048~Debian~bullseye
Table de version :
     6.1.40-154048~Debian~bullseye 500
        500 https://download.virtualbox.org/virtualbox/debian bullseye/contrib amd64 Packages


idem, avec ceci:

sudo apt-cache policy virtualbox*
 


virtualbox-ext-pack:
  Installé : (aucun)
  Candidat : (aucun)
Table de version :
virtualbox:
  Installé : (aucun)
  Candidat : (aucun)
Table de version :
virtualbox-ose:
  Installé : (aucun)
  Candidat : (aucun)
Table de version :
virtualbox-ose-fuse:
  Installé : (aucun)
  Candidat : (aucun)
Table de version :
virtualbox-guest-additions-iso:
  Installé : (aucun)
  Candidat : 6.1.22-1
Table de version :
     6.1.22-1 500
        500 http://ftp.fr.debian.org/debian bullseye/non-free amd64 Packages
        500 http://ftp.fr.debian.org/debian bullseye/non-free i386 Packages
virtualbox-guest-modules:
  Installé : (aucun)
  Candidat : (aucun)
Table de version :
virtualbox-qt:
  Installé : (aucun)
  Candidat : (aucun)
Table de version :
virtualbox-2.0:
  Installé : (aucun)
  Candidat : (aucun)
Table de version :
virtualbox-2.1:
  Installé : (aucun)
  Candidat : (aucun)
Table de version :
virtualbox-2.2:
  Installé : (aucun)
  Candidat : (aucun)
Table de version :
virtualbox-3.0:
  Installé : (aucun)
  Candidat : (aucun)
Table de version :
virtualbox-3.1:
  Installé : (aucun)
  Candidat : (aucun)
Table de version :
virtualbox-3.2:
  Installé : (aucun)
  Candidat : (aucun)
Table de version :
virtualbox-4.0:
  Installé : (aucun)
  Candidat : (aucun)
Table de version :
virtualbox-4.1:
  Installé : (aucun)
  Candidat : (aucun)
Table de version :
virtualbox-4.2:
  Installé : (aucun)
  Candidat : (aucun)
Table de version :
virtualbox-4.3:
  Installé : (aucun)
  Candidat : (aucun)
Table de version :
virtualbox-5.0:
  Installé : (aucun)
  Candidat : (aucun)
Table de version :
virtualbox-5.1:
  Installé : (aucun)
  Candidat : (aucun)
Table de version :
virtualbox-5.2:
  Installé : (aucun)
  Candidat : (aucun)
Table de version :
virtualbox-6.0:
  Installé : (aucun)
  Candidat : (aucun)
Table de version :
virtualbox-6.1:
  Installé : (aucun)
  Candidat : 6.1.40-154048~Debian~bullseye
Table de version :
     6.1.40-154048~Debian~bullseye 500
        500 https://download.virtualbox.org/virtualbox/debian bullseye/contrib amd64 Packages
virtualbox-7.0:
  Installé : (aucun)
  Candidat : 7.0.0-153978~Debian~bullseye
Table de version :
     7.0.0-153978~Debian~bullseye 500
        500 https://download.virtualbox.org/virtualbox/debian bullseye/contrib amd64 Packages
virtualbox-dkms:
  Installé : (aucun)
  Candidat : (aucun)
Table de version :


d'après apt, je n'aurais aucune version de virtualbox d'installé!!! étrange
et pourtant, j'ai bien virtualbox 6.1 sur mon ordi installé avec apt après avoir rajouté dans mon source-list: deb https://download.virtualbox.org/virtualbox/debian bullseye contrib

le fichier vbox.cfg dans /etc/vbox:

# VirtualBox installation directory
INSTALL_DIR='/opt/VirtualBox'
# VirtualBox version
INSTALL_VER='6.1.35'
INSTALL_REV='151866'
# Build type and user name for logging purposes
BUILD_TYPE='release'
USERNAME='vbox'



je comprends pas,
merci d'avance

Dernière modification par solar66 (18-10-2022 09:10:28)

Hors ligne

#2 16-10-2022 18:17:32

Croutons
Membre
Distrib. : Debian10 Buster
Noyau : Linux 4.19.0-18-amd64
(G)UI : Mate
Inscription : 16-12-2016

Re : [Abandonné] apt ne veux pas installer virtualbox-7.0

Hello
c'est une installation dans /opt/Virtualbox d’après ce que je vois
tu vires ce que le répertoire Virtualbox  , puis le fichier /etc/vbox/vbox.cfg

solar66 a écrit :

j'ai bien virtualbox 6.1 sur mon ordi installé avec apt après avoir rajouté dans mon source-list: deb https://download.virtualbox.org/virtualbox/debian bullseye contrib


j'ai un gros doute , si c'était le cas il serait visible avec apt-cache policy
De manière générale je te conseil de ne pas garder le dépôt virtualbox actif , parce que déjà il a une priorité a 500 ce qui n'est pas top et aussi parce que les guest additions ne suivent pas et il faut les réinstaller dans chaque VM quand la version de Virtualbox change
perso je suis en 6.1.34 et mes VM tourne bien

Dernière modification par Croutons (16-10-2022 18:18:29)


-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

#3 16-10-2022 20:06:17

Tawal
Membre
Distrib. : Debian Stable à jour
Noyau : amd64
(G)UI : Xfce
Inscription : 25-02-2021

Re : [Abandonné] apt ne veux pas installer virtualbox-7.0

Hello,

ma version de VirtualBox : 6.1.40 r154048 (Qt5.15.2)

Comme la science n'est pas infuse, elle se diffuse.
Useless Use of Cat Award
Filenames and Pathnames in Shell: How to do it Correctly
À chaque problème sa solution, à chaque solution son moyen, si pas de moyen, toujours le problème !

En ligne

#4 16-10-2022 21:07:09

totoZero7
Membre
Distrib. : Debian 11 bullseye
Noyau : 5.10.0-19-amd64
(G)UI : Mate 1.24.1
Inscription : 05-07-2020

Re : [Abandonné] apt ne veux pas installer virtualbox-7.0

La version 7.0 de virtualBox est complétement buguée.
Il y a une discussion (en anglais) sur le sujet.
Un modérateur de leur site, sur un autre post dans la section "VirtualBox on Linux Hosts", dit que toute version ".0" sont buguées. En gros faut attendre que cette nouvelle version ait révélée tous ces défauts.

Any version of Virtualbox with a final version number close to 0 will have lots of bugs. Always wise to stay on a previously-working version for production hosts when VMs must be working correctly, and only use new versions on test hosts.


Le mieux, serait de réinstaller une ancienne version 6.* en téléchargeant directement le paquet via leur site.
Il y a toute les versions de disponible, le logiciel et les packs extension.

Pour ma part, j'ai la version 6.1.38 et se passe plutot bien. En revanche, la version juste avant j'avais eu des problèmes de lenteur quand je voulais upgrader un noyaux au sein d'une VM.


ps: leur site déconne à fond ce soir. je bloque pour ouvrir une page

Dernière modification par totoZero7 (16-10-2022 21:10:59)

Hors ligne

#5 18-10-2022 09:00:21

solar66
Membre
Distrib. : debian stable
Noyau : Linux 5.10.0-9-amd64
(G)UI : cinnamon
Inscription : 23-08-2016

Re : [Abandonné] apt ne veux pas installer virtualbox-7.0

merci pour vos réponses,
@croutons: j'ai fait comme tu as dit, et cela a marché, j'ai pu réinstaller virtualbox
@totoZero7: après essai de la 7, effectivement elle est pas au point

pour mon problème, après avoir essayé plusieurs versions 6.x, le problème persiste; mais en fait uniquement avec windows 7
j'ai également en virtualisation mx, et lmde; et là, pas de problème.
bref, ça me gave, et je laisse tomber.

Hors ligne

#6 04-11-2022 14:27:50

lol
Membre
Lieu : Madagascar
Distrib. : SID + Experimental
Noyau : 4.x.......
(G)UI : XFCE
Inscription : 27-06-2009
Site Web

Re : [Abandonné] apt ne veux pas installer virtualbox-7.0

Salut,

Pour installer la verion 7 il faut désinstaller la version 6 (Ne pas purger évidemment pour conserver les VM existantes).

totoZero7 a écrit :

La version 7.0 de virtualBox est complétement buguée.


Je n'ai pas remarqué pourtant je l'utilise depuis plusieurs jours.
On parles de quels bugs par exemple ?
Il y a toujours des râleurs qui crient "au loup" à chaque sortie de nouvelles version majeures de logiciels. tongue


Il me semble parfois que Dieu, en créant l'homme, ait quelque peu surestimé ses capacités. Oscar Wilde.

Hors ligne

Pied de page des forums